The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> fmax, fmaxf, fmaxl - determine maximum numeric value of two floating-point numbers

#### SYNOPSIS

> ``#include <math.h>
> double fmax(double` x`, double` y`);
> float fmaxf(float` x`, float` y`);
> long double fmaxl(long double` x`, long double` y`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of IEEE Std 1003.1-2001 defers to the ISO C standard.

> These functions shall determine the maximum numeric value of their arguments. NaN arguments shall be treated as missing data: if one argument is a NaN and the other numeric, then these functions shall choose the numeric value.

#### RETURN VALUE

> Upon successful completion, these functions shall return the maximum numeric value of their arguments.

> If just one argument is a NaN, the other argument shall be returned.

> [MX] If x and y are NaN, a NaN shall be returned.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> fdim(), fmin(), the Base Definitions volume of IEEE Std 1003.1-2001, <math.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the ISO/IEC 9899:1999 standard.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]